package com.huijy.management.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.huijy.management.mapper.MarkerContentMapper;
import com.huijy.management.domain.MarkerContent;
import com.huijy.management.service.IMarkerContentService;

/**
 * 标记物内容中间Service业务层处理
 *
 * @author luobo
 * @date 2021-10-10
 */
@Service
public class MarkerContentServiceImpl implements IMarkerContentService
{
    @Autowired
    private MarkerContentMapper markerContentMapper;

    /**
     * 查询标记物内容中间
     *
     * @param markerContent 标记物内容中间主键
     * @return 标记物内容中间
     */
    @Override
    public MarkerContent selectMarkerContentByMarkerContent(Long markerContent)
    {
        return markerContentMapper.selectMarkerContentByMarkerContent(markerContent);
    }

    /**
     * 查询标记物内容中间列表
     *
     * @param markerContent 标记物内容中间
     * @return 标记物内容中间
     */
    @Override
    public List<MarkerContent> selectMarkerContentList(MarkerContent markerContent)
    {
        return markerContentMapper.selectMarkerContentList(markerContent);
    }

    /**
     * 新增标记物内容中间
     *
     * @param markerContent 标记物内容中间
     * @return 结果
     */
    @Override
    public int insertMarkerContent(MarkerContent markerContent)
    {
        return markerContentMapper.insertMarkerContent(markerContent);
    }

    /**
     * 修改标记物内容中间
     *
     * @param markerContent 标记物内容中间
     * @return 结果
     */
    @Override
    public int updateMarkerContent(MarkerContent markerContent)
    {
        return markerContentMapper.updateMarkerContent(markerContent);
    }

    /**
     * 批量删除标记物内容中间
     *
     * @param markerContents 需要删除的标记物内容中间主键
     * @return 结果
     */
    @Override
    public int deleteMarkerContentByMarkerContents(Long[] markerContents)
    {
        return markerContentMapper.deleteMarkerContentByMarkerContents(markerContents);
    }

    /**
     * 删除标记物内容中间信息
     *
     * @param markerContent 标记物内容中间主键
     * @return 结果
     */
    @Override
    public int deleteMarkerContentByMarkerContent(Long markerContent)
    {
        return markerContentMapper.deleteMarkerContentByMarkerContent(markerContent);
    }

    @Override
    public List<Long> getContentIdListByMarkerId(Long markerId) {
        return markerContentMapper.selectContentIdListByMarkerId(markerId);
    }

    @Override
    public Integer deleteMarkerContentByMarkerId(Long markerId) {
        return markerContentMapper.deleteMarkerContentByMarkerId(markerId);
    }
}
